﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace wpf_Chart_ticket_502739
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.radChart.DefaultSeriesDefinition.InteractivitySettings.SelectionMode = ChartSelectionMode.Single;
            this.radChart.DefaultSeriesDefinition.InteractivitySettings.SelectionScope = InteractivityScope.Item;

            //this.radChart.DefaultSeriesDefinition.SeriesItemLabelStyle = this.Resources["SeriesItemLabelStyle"] as Style;
            this.radChart.DefaultView.ChartArea.MouseLeftButtonDown += this.ChartArea_MouseLeftButtonDown;

            this.radChart.ItemsSource = new int[] { 5, 10, 15, 20, 25, 20, 10, 15, 20, };
        }

        void ChartArea_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            var originalSource = e.OriginalSource as DependencyObject;
            var seriesItemLabel = Telerik.Windows.Controls.ParentOfTypeExtensions.GetVisualParent<SeriesItemLabel>(originalSource);
            if (seriesItemLabel != null)
            {
                if (this.radChart.DefaultView.ChartArea.SelectedItems.Contains(seriesItemLabel.DataPoint))
                    this.radChart.DefaultView.ChartArea.UnselectItem(seriesItemLabel.DataPoint);
                else
                    this.radChart.DefaultView.ChartArea.SelectItem(seriesItemLabel.DataPoint);
            }
        }
    }
}
